c  shareable common sections for usernames, locations, host data, etc.

	Parameter	max_users = 300
	Parameter	max_terms = 100
	Parameter	max_hosts = 150
	Parameter	max_networks = 5

c-- user database --

	Integer		Usr$I_Max
	Integer		Usr$I_Last

	Parameter	Usr$Length_Username = 12
	Parameter	Usr$Length_Personalname = 25

	Character*12	Usr$C_Username(max_users)
	Character*25	Usr$C_Personalname(max_users)

	Common		/Finger_Usr_Common/
	1		Usr$I_Max,	Usr$I_Last,
	2		Usr$C_Username,
	3		Usr$C_Personalname

c-- location database --

	Integer		Loc$I_Max
	Integer		Loc$I_Last

	Character*8	Loc$C_Terminal(max_terms)
	Character*25	Loc$C_Location(max_terms)
	Character*25	Loc$C_TTType(max_terms)

	Common		/Finger_Loc_Common/
	1		Loc$I_Max,	Loc$I_Last,
	2		Loc$C_Terminal,
	3		Loc$C_Location,
	4		Loc$C_TTType

c-- host database --

	Integer		Host$I_Max
	Integer		Host$I_Last

	Character*12	Host$C_Host(max_hosts)
	Character*1	Host$C_Type(max_hosts)
	Character*12	Host$C_Link(max_hosts)
	Character*72	Host$C_Route(max_hosts)

	Common		/Finger_Host_Common/
	1		Host$I_Max,	Host$I_Last,
	2		Host$C_Host,
	3		Host$C_Type,
	4		Host$C_Link,
	5		Host$C_Route

c-- miscelleanous stuff --

	Integer		Net$I_Max
	Integer		Net$I_Last

	Character	Net$C_Type(max_networks)
	Character*20	Net$C_Name(max_networks)

	Character	Net$C_Local_Host_Name*12
	Character	Net$C_Organization*80

	Character*12	Net$C_Router_Host
	Character*1	Net$C_Router_Type
	Character*72	Net$C_Router_Route

	Common		/Finger_Net_Common/
	1		Net$I_Max,	Net$I_Last,
	2		Net$C_Type,
	3		Net$C_Name,

	5		Net$C_Local_Host_Name,
	6		Net$C_Organization,

	7		Net$C_Router_Host,
	8		Net$C_Router_Type,
	9		Net$C_Router_Route

c  TTY ucb stuff
	Parameter	max_units = 128

	Integer		TT_UCB$I_Times(max_units)
	Integer		TT_UCB$I_Device(4,max_units)
	Integer		TT_UCB$I_Unit(max_units)
	Integer		TT_UCB$I_RTT_Link(max_units)
	Integer		TT_UCB$I_PIDs(max_units)

	Common		/TT_UCB_Common/
	1		TT_UCB$I_Times,
	2		TT_UCB$I_Device,
	3		TT_UCB$I_Unit,
	4		TT_UCB$I_RTT_Link,
	5		TT_UCB$I_PIDs

